const badWeather = d => {
  const colorScale = d3
    .scaleLinear()
    .domain(d3.extent(data, d => d.weatherLevel))
    .range([0, 1]);
  const colorMap = d3.interpolateRgb(d3.rgb('#4099ff'), d3.rgb('#ff0000'));
  return colorMap(colorScale(d.weatherLevel));
};

const ringArc = () => {
  data = data.filter(d => d.year == 2016);
  data.map(
    d =>
      (d.weatherLevel =
        d.WT01 + d.WT02 + d.WT03 + d.WT04 + d.WT05 + d.WT06 + d.WT08 + d.WT09)
  );
  plotConfig = getRingChartConfig();
  const width = +plotConfig.width;
  const height = +plotConfig.height;
  const margin = plotConfig.margin;
  const innerHeight = +plotConfig.innerHeight;
  const innerWidth = +plotConfig.innerWidth;
  const innerRadius = +plotConfig.innerRadius;
  const outerRadius = +plotConfig.outerRadius;

  const svg = d3.select('#ring-chart-container');
  svg.attr('height', height).attr('width', width);

  const body = d3.select('#ring-chart-body');
  body
    .attr('height', innerHeight)
    .attr('width', innerWidth)
    .attr('transform', 'translate(' + margin.left + ',' + margin.top + ')');

  showTitle(svg, 'Ring chart');

  const fullCircle = 2 * Math.PI;

  const xScale = d3
    .scaleLinear()
    .domain(d3.extent(data, d => d.date))
    .range([0, fullCircle]);

  data.map(d => (d.angle = xScale(d.date)));

  const bandwidth = xScale(data[2].date) - xScale(data[1].date);

  const yScale = d3
    .scaleLinear()
    .domain(d3.extent(data, d => d.DEP_DELAY))
    // .range([0, innerHeight/2])
    .range([innerRadius, outerRadius]);

  const radialArcContainer = body
    .append('g')
    .attr('id', 'radial-bars')
    .attr(
      'transform',
      'translate(' + innerWidth / 2 + ',' + innerHeight / 2 + ')'
    );
  radialArcContainer
    .selectAll('.bar')
    .data(data)
    .enter()
    .append('path')
    .attr(
      'd',
      d3
        .arc()
        .innerRadius(innerRadius)
        .outerRadius(d => yScale(d.DEP_DELAY))
        .startAngle(d => xScale(d.date))
        .endAngle(d => xScale(d.date) + bandwidth)
        .padAngle(0.001)
        .padRadius(innerRadius)
    )
    .attr('fill', d => {
      return d.weatherLevel > 0 ? '#ff0000' : '#4099ff';
    })

    // .on('mouseover', function() {
    //   this.style.fill = '#ffff00';
    // })
    // .on('mouseout', function(d, i) {
    //   this.style.fill = d.weatherLevel > 0 ? '#ff0000' : '#4099ff';
    // });
};
